Create a Bulk Data Retrieval Job

Overview

Create and run asynchronous bulk jobs to retrieve company or contact data using entity IDs or search filters. This API is ideal for large data exports with a file-based CSV output.

You can submit up to 10,000 entity IDs in a single request. The API initiates an asynchronous job and returns a jobId to track its status and retrieve results using the Job Status API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

NOTE: You may submit up to 10,000 IDs or filter values per request

Filter Fields

Company Search (click to expand)

- areaCodes

  • businessStructure
  • businessTypes
  • categoryIds
  • cities
  • companyStatus
  • companyType
  • country
  • dbe
  • disabled
  • ethnicity
  • fiscalYearEnd
  • fortuneRanking
  • gender
  • hasPhone
  • hasWebsite
  • industries
  • keywords
  • lgbt
  • maxEmployees
  • maxRevenue
  • mbe
  • minEmployees
  • minRevenue
  • naics
  • newsCategories
  • newsDuration
  • primaryIndustryOnly
  • primaryNAICSOnly
  • primarySICOnly
  • productIds
  • regions
  • sicCodes
  • state
  • street
  • subCategoryIds
  • subIndustries
  • ticker
  • vbe
  • website
  • wbe
  • zipCodes
Contact Search (click to expand)

- active

  • companyCity
  • companyCountry
  • companyIdsToInclude
  • companyName
  • companyState
  • companyWebsite
  • contactCity
  • contactCountry
  • contactState
  • email
  • emailRequired
  • emailValidationStatus
  • firstName
  • industries
  • jobFunctions
  • jobLevels
  • lastName
  • maxEmployees
  • minContactQualityScore
  • minEmployees
  • phoneRequired
  • phoneType
  • primaryIndustryOnly
  • subIndustries
  • titles

Available Output Fields by Job Type

Output Fields for companyFetch (click to expand)

- britishSics

  • businessStructure
  • city
  • companyBlogProfile
  • companyId
  • companyLinkedInProfile
  • companyStatus
  • companyTwitterProfile
  • companyType
  • currentCompanyId
  • description
  • employees
  • fiscalYearEnd
  • fortuneRanking
  • industry
  • industryCode
  • latitude
  • longitude
  • naics
  • naicsDescription
  • name
  • phone
  • revenue
  • revenueCurrency
  • sic
  • sicDescription
  • siteCount
  • siteLocationCount
  • siteType
  • state
  • street
  • subIndustry
  • subIndustryCode
  • subsidiary
  • ticker
  • website
  • yearFounded
  • zip
Output Fields for contactFetch (click to expand)
  • active
  • age
  • companyId
  • companyName
  • contactId
  • corporatePhone
  • dbPersonArea
  • dbPersonCity
  • dbPersonCountry
  • dbPersonCountryCode
  • dbPersonId
  • dbPersonLatitude
  • dbPersonLongitude
  • dbPersonState
  • dbPersonStateCode
  • dbPersonStreet
  • dbPersonZip
  • description
  • directPhone
  • education
  • email
  • facebookHandle
  • firstName
  • imageUrl
  • jobFunctions
  • jobLevels
  • lastName
  • lastValidatedDate
  • linkedinHandle
  • contactQualityScore
  • middleName
  • mobileNumber
  • salary
  • salaryCurrency
  • startDate
  • titles
  • twitterHandle
Output Fields for companySearch (click to expand)
  • city
  • companyId
  • country
  • name
  • state
Output Fields for contactSearch (click to expand)

- active

  • companyId
  • companyName
  • contactId
  • contactQualityScore
  • dbPersonId
  • firstName
  • jobFunctions
  • jobLevels
  • lastName
  • titles

Note: Use "all" to include all available fields in the response.


Example:

{ 
  "jobname": "TestJob",
  "jobType": "contactSearch",
  "filters": [...]
  "fields": ["all"], ← Will return ALL available fields
}

Request Body

string
required

There are four supported job types:

Job TypeDescription
companyFetchRetrieve companies by companyId.
contactFetchRetrieve contacts by contactId.
companySearchRetrieve companies using filters (e.g., location, industry).
contactSearchRetrieve contacts using filters (e.g., name, job function).
string
required
length ≤ 50

Descriptive name, max 50 characters.

fields
array of strings
required

List of fields to include in the output. Use "all" to fetch all available fields

fields*
filters
array of objects
required
filters*
string
string
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml